module.exports = {
    devServer: {
        // 关闭esline
        overlay: {
            warnings: false,
            errors: false,
        },
        proxy: {
            '/labsl': {
                target: 'http://60.205.177.43:8080/',
                changeOrigin: true,
                pathRewrite: {
                    '^/labsl': '/labsl',
                },
            },
            // 图片服务器
            '/image-service': {
                target: 'http://adm.sagacloud.cn/',
                changeOrigin: true,
                pathRewrite: {
                    '^/image-service': '/image-service',
                },
            },
        },
    },
    lintOnSave: false,
    publicPath: '/persagyTopo',
    // 打包名称
    outputDir: 'persagyTopo',
    // 放置生成的静态资源 (js、css、img、fonts) 的 (相对于 outputDir 的) 目录
    assetsDir: 'static',
}
